curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/monthly/bill?startMonth=2025-10&page=1&pageSize=20' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"billId": "<string>",
"userId": "<string>",
"billingMonth": "2025-12",
"totalAmount": "1000000",
"originTotalAmount": "1200000",
"voucherPayAmount": "200000",
"cashPayAmount": "800000",
"debtAmount": "0",
"status": "paid",
"invoiceUrl": "",
"startTime": "1764547200",
"endTime": "1767225599",
"repaidAmount": "0"
}
]
}
Basic
Query Monthly Bill
GET
/
openapi
/
v1
/
billing
/
monthly
/
bill
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/monthly/bill?startMonth=2025-10&page=1&pageSize=20' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"billId": "<string>",
"userId": "<string>",
"billingMonth": "2025-12",
"totalAmount": "1000000",
"originTotalAmount": "1200000",
"voucherPayAmount": "200000",
"cashPayAmount": "800000",
"debtAmount": "0",
"status": "paid",
"invoiceUrl": "",
"startTime": "1764547200",
"endTime": "1767225599",
"repaidAmount": "0"
}
]
}
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
Start month, in
YYYY-MM format, for example 2025-10. Monthly bill data is available starting from 2025-10.int32
Page number, starting from
1.int32
Number of items per page.
The current production environment fills months starting from
startMonth, so the returned item count may not strictly equal pageSize.Response Parameters
object[]
required
Monthly bill list.
Hide properties
Hide properties
string
required
Monthly bill ID.
string
required
User account ID.
string
required
Billing month, in
YYYY-MM format.string
required
Total amount payable, unit is 1/10000 USD.
string
required
Original total amount before discounts or deductions, unit is 1/10000 USD.
string
required
Amount paid by vouchers, unit is 1/10000 USD.
string
required
Amount paid in cash, unit is 1/10000 USD.
string
required
Overdue amount, unit is 1/10000 USD.
string
required
Repaid amount, unit is 1/10000 USD.
string
required
Monthly bill status. Possible values:
pendingoutedpaidoverduevoided
string
required
Bill or invoice download URL. Empty string means no downloadable file is available.
string
required
Billing period start time, Unix timestamp in seconds.
string
required
Billing period end time, Unix timestamp in seconds.
curl --request GET \
--url 'https://api.novita.ai/openapi/v1/billing/monthly/bill?startMonth=2025-10&page=1&pageSize=20' \
--header 'Authorization: Bearer <API_KEY>'
{
"data": [
{
"billId": "<string>",
"userId": "<string>",
"billingMonth": "2025-12",
"totalAmount": "1000000",
"originTotalAmount": "1200000",
"voucherPayAmount": "200000",
"cashPayAmount": "800000",
"debtAmount": "0",
"status": "paid",
"invoiceUrl": "",
"startTime": "1764547200",
"endTime": "1767225599",
"repaidAmount": "0"
}
]
}
Last modified on May 25, 2026